package com.srs.routine.mapper;

import java.util.List;

import com.srs.routine.domain.SrsAttachResource;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 附件资源Mapper接口
 *
 * @author srs
 * @date 2024-05-18
 */
public interface SrsAttachResourceMapper extends BaseMapper<SrsAttachResource> {
    /**
     * 查询附件资源
     *
     * @param resId 附件资源主键
     * @return 附件资源
     */
    public SrsAttachResource selectSrsAttachResourceByResId(Long resId);

    /**
     * 查询附件资源列表
     *
     * @param srsAttachResource 附件资源
     * @return 附件资源集合
     */
    List<SrsAttachResource> selectSrsAttachResourceList(SrsAttachResource srsAttachResource);

    /**
     * 新增附件资源
     *
     * @param srsAttachResource 附件资源
     * @return 结果
     */
    int insertSrsAttachResource(SrsAttachResource srsAttachResource);

    /**
     * 修改附件资源
     *
     * @param srsAttachResource 附件资源
     * @return 结果
     */
    int updateSrsAttachResource(SrsAttachResource srsAttachResource);

    /**
     * 删除附件资源
     *
     * @param resId 附件资源主键
     * @return 结果
     */
    int deleteSrsAttachResourceByResId(Long resId);

    int deleteSrsAttachResourceByResManNo(String resMainNo);

    /**
     * 批量删除附件资源
     *
     * @param resIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSrsAttachResourceByResIds(Long[] resIds);



}
